Subject: on apache porting
From: [email-masked]

12 Dec 1996 06:29:36 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
X-Mailer: ELM [version 2.4 PL25 PGP2]
Content-Length: 1364      
Original-Sender: [email-masked]

dj delorie wrote
> > 
> > I was able to get a single-threaded apache to work, but I suspect that
> > NT's networking just doesn't like multiple processes accept()ing on
> > one port at a time.  I was unable to get further than that.
> > 
 Me too, but I've seen that one of the problems is that select will
 absorbe all cpu time.
 
 This is done if you set the errno to EINTR before the select.
 
 The error is set by apache to 13 (sharing violation) because
 the access of the scoreboard file.
 
 ciao,
 
 -giovanni
 (by the way, my first program was wrote with djgpp, thank you)

 
 -- 

           ***********************************************
           *                                             *
           *                                             *
           *    MATRICE srl                              *
           *    Information Technology Solutions         *
           *                                             *
           *    Giovanni Maruzzelli                      *
           *                                             *
           *                                             *
           *                                             *
           *    [email-masked]                        *
           *    http://www.matrice.it                    *
           ***********************************************

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".